Name: hwclock
Version: 2.23
Release: alt3

Summary: Query and set the hardware clock
License: GPL
Group: System/Base
Url: ftp://ibiblio.org/pub/Linux/system/hardware

Source: %url/%name-%version.tar.bz2
Patch1: %name-2.22-alt-build.patch
Patch2: %name-2.23-alt-tzoffset.patch
Patch3: %name-2.23-alt-tzoffset_check.patch

Conflicts: startup <= 0:0.6-alt1

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Mon May 21 2001
BuildRequires: libshhopt-devel

%description
Hwclock is a program that runs under Linux and sets and queries the
Hardware Clock, which is often called the Real Time Clock, RTC, or
CMOS clock.

You can set the Hardware Clock to a particular time or from the Linux
System Time.  You can set the Linux System Time from the Hardware
Clock, and a typical usage is to invoke Hwclock from a system startup
script to initialize the System Time.
 
Hwclock's --adjust function corrects systematic drift in the Hardware
Clock.  You just invoke it regularly and it corrects for a fast or
slow Hardware Clock.  Hwclock automatically computes how fast or slow
the Hardware Clock is every time you set it.
 
Hwclock uses /dev/rtc if it is available.  Otherwise, it uses its own
direct I/O to do what the rtc device driver would normally do.

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1
%patch3 -p1
find -type f -print0 |
	xargs -r0 %__grep -FZl /var/state -- |
	xargs -r0 %__subst -p 's,/var/state,%_localstatedir/%name,g' --
find -type f -name \*.orig -print -delete

%build
make clean -C src
%make_build -C src

%install
%__install -pD -m755 src/%name $RPM_BUILD_ROOT/sbin/%name
%__ln_s %name $RPM_BUILD_ROOT/sbin/clock
%__install -pD -m644 src/%name.8 $RPM_BUILD_ROOT%_man8dir/%name.8
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/%name
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/adjtime

%triggerpostun -- startup <= 0.6-alt1, initscripts < 1:5.49.1-alt1
f=%_sysconfdir/adjtime
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		%__cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		%__cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/adjtime
/sbin/*
%_man8dir/*
%dir %_localstatedir/%name
%doc README src/HISTORY *.lsm

%changelog
* Wed Jun 02 2004 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt3
- Fixed hwclock --utc/--localtime problem (#3188).
- Fixed timezone offset check (#4117).

* Sun Jan 04 2004 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt2
- Deal with compilation warnings generated by new gcc compiler.

* Sun Oct 19 2003 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt1
- Updated to 2.23.
- %_sysconfdir/adjtime: moved to this package.

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 2.22-alt1
- Updated to 2.22.
- Fixed build.
- Build with -Werror.
- Updated build dependencies.
- Added %_localstatedir/%name directory.

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 2.19-alt1
- 2.19

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 2.17-alt1
- Updated to 2.17

* Fri Aug 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.14-alt1
- 2.14.

* Mon May 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.13-alt2
- Build with libshhopt.
- Fixed compilation options (so "hwclock --systohc" works again).

* Thu May 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.13-alt1
- Initial revision.
